	//----------ResidentialAgreement开始----------
    
	using System;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
//using System.Data.Entity.ModelConfiguration;
using Ewide.NbzsZheliban.Entity;
using System.Runtime.Serialization;
	namespace Ewide.NbzsZheliban.Entity
	{	
        /// <summary>
        /// 数据表实体类：ResidentialAgreement 
        /// </summary>
		[Table("ResidentialAgreement")]
        public partial class ResidentialAgreement: BaseEntity        {    
		                    /// <summary>
                /// 无描述
                /// </summary>    
				
				[Display(Name="无描述")]   
				[Key]
								[Column("ID")]   
				[DataMember]  
			    public Guid ID  {get;set;}   
                                /// <summary>
                /// 项目id 关联Projects表ID
                /// </summary>    
				
				[Display(Name="项目id 关联Projects表ID")]   
								[Column("ProjectID")]   
				[DataMember]  
			    public Guid ProjectID  {get;set;}   
                                /// <summary>
                /// 项目名称
                /// </summary>    
				
				[Display(Name="项目名称")]   
								[Column("ProjectName")]   
				[DataMember]  
			    public string ProjectName  {get;set;}   
                                /// <summary>
                /// 调查表ID
                /// </summary>    
				
				[Display(Name="调查表ID")]   
								[Column("InvestigateTableID")]   
				[DataMember]  
			    public Guid? InvestigateTableID  {get;set;}   
                                /// <summary>
                /// 征收决定号前置标识ID 取字典表ID
                /// </summary>    
				
				[Display(Name="征收决定号前置标识ID 取字典表ID")]   
								[Column("CollectDecisionNoHeadID")]   
				[DataMember]  
			    public Guid? CollectDecisionNoHeadID  {get;set;}   
                                /// <summary>
                /// 征收决定号前置标识
                /// </summary>    
				
				[Display(Name="征收决定号前置标识")]   
								[Column("CollectDecisionNoHeadName")]   
				[DataMember]  
			    public string CollectDecisionNoHeadName  {get;set;}   
                                /// <summary>
                /// 协议编号第一部分
                /// </summary>    
				
				[Display(Name="协议编号第一部分")]   
								[Column("No1")]   
				[DataMember]  
			    public string No1  {get;set;}   
                                /// <summary>
                /// 协议编号第二部分
                /// </summary>    
				
				[Display(Name="协议编号第二部分")]   
								[Column("No2")]   
				[DataMember]  
			    public string No2  {get;set;}   
                                /// <summary>
                /// 协议编号第三部分
                /// </summary>    
				
				[Display(Name="协议编号第三部分")]   
								[Column("No3")]   
				[DataMember]  
			    public string No3  {get;set;}   
                                /// <summary>
                /// 乙方ID，关联字典ID，记录乙方是被征收人还是承租人
                /// </summary>    
				
				[Display(Name="乙方ID，关联字典ID，记录乙方是被征收人还是承租人")]   
								[Column("PartyBID")]   
				[DataMember]  
			    public Guid? PartyBID  {get;set;}   
                                /// <summary>
                /// 乙方名称：是被征收人还是承租人
                /// </summary>    
				
				[Display(Name="乙方名称：是被征收人还是承租人")]   
								[Column("PartyBName")]   
				[DataMember]  
			    public string PartyBName  {get;set;}   
                                /// <summary>
                /// 协议中文件依据，按照XX等有关规定
                /// </summary>    
				
				[Display(Name="协议中文件依据，按照XX等有关规定")]   
								[Column("FilesBasis")]   
				[DataMember]  
			    public string FilesBasis  {get;set;}   
                                /// <summary>
                /// 征收决定号
                /// </summary>    
				
				[Display(Name="征收决定号")]   
								[Column("CollectDecisionNo")]   
				[DataMember]  
			    public string CollectDecisionNo  {get;set;}   
                                /// <summary>
                /// 被征收人姓名
                /// </summary>    
				
				[Display(Name="被征收人姓名")]   
								[Column("ExpropriatedName")]   
				[DataMember]  
			    public string ExpropriatedName  {get;set;}   
                                /// <summary>
                /// 被征收人身份证
                /// </summary>    
				
				[Display(Name="被征收人身份证")]   
								[Column("ExpropriatedCardNo")]   
				[DataMember]  
			    public string ExpropriatedCardNo  {get;set;}   
                                /// <summary>
                /// 被拆迁人电话
                /// </summary>    
				
				[Display(Name="被拆迁人电话")]   
								[Column("ExpropriatedPhone")]   
				[DataMember]  
			    public string ExpropriatedPhone  {get;set;}   
                                /// <summary>
                /// 被拆迁人地址
                /// </summary>    
				
				[Display(Name="被拆迁人地址")]   
								[Column("ExpropriatedAddr")]   
				[DataMember]  
			    public string ExpropriatedAddr  {get;set;}   
                                /// <summary>
                /// 被征收人性质ID 关联数据字典表ID
                /// </summary>    
				
				[Display(Name="被征收人性质ID 关联数据字典表ID")]   
								[Column("ExpropriatedNatureID")]   
				[DataMember]  
			    public Guid? ExpropriatedNatureID  {get;set;}   
                                /// <summary>
                /// 被征收人性质
                /// </summary>    
				
				[Display(Name="被征收人性质")]   
								[Column("ExpropriatedNature")]   
				[DataMember]  
			    public string ExpropriatedNature  {get;set;}   
                                /// <summary>
                /// 无描述
                /// </summary>    
				
				[Display(Name="无描述")]   
								[Column("Gfbz")]   
				[DataMember]  
			    public string Gfbz  {get;set;}   
                                /// <summary>
                /// 区域ID 关联字典表ID 
                /// </summary>    
				
				[Display(Name="区域ID 关联字典表ID ")]   
								[Column("AreaID")]   
				[DataMember]  
			    public Guid? AreaID  {get;set;}   
                                /// <summary>
                /// 区域
                /// </summary>    
				
				[Display(Name="区域")]   
								[Column("Area")]   
				[DataMember]  
			    public string Area  {get;set;}   
                                /// <summary>
                /// 被征收房屋地址
                /// </summary>    
				
				[Display(Name="被征收房屋地址")]   
								[Column("HouseAddress")]   
				[DataMember]  
			    public string HouseAddress  {get;set;}   
                                /// <summary>
                /// 地段等级ID 字典表ID
                /// </summary>    
				
				[Display(Name="地段等级ID 字典表ID")]   
								[Column("LocationLevelID")]   
				[DataMember]  
			    public Guid? LocationLevelID  {get;set;}   
                                /// <summary>
                /// 地段等级
                /// </summary>    
				
				[Display(Name="地段等级")]   
								[Column("LocationLevel")]   
				[DataMember]  
			    public string LocationLevel  {get;set;}   
                                /// <summary>
                /// 结构ID 字典表ID
                /// </summary>    
				
				[Display(Name="结构ID 字典表ID")]   
								[Column("StructureID")]   
				[DataMember]  
			    public string StructureID  {get;set;}   
                                /// <summary>
                /// 结构
                /// </summary>    
				
				[Display(Name="结构")]   
								[Column("Structure")]   
				[DataMember]  
			    public string Structure  {get;set;}   
                                /// <summary>
                /// 建筑面积
                /// </summary>    
				
				[Display(Name="建筑面积")]   
								[Column("BuildingArea")]   
				[DataMember]  
			    public float BuildingArea  {get;set;}   
                                /// <summary>
                /// 使用情况ID 关联字典表ID
                /// </summary>    
				
				[Display(Name="使用情况ID 关联字典表ID")]   
								[Column("UsageID")]   
				[DataMember]  
			    public Guid? UsageID  {get;set;}   
                                /// <summary>
                /// 使用情况、使用状况
                /// </summary>    
				
				[Display(Name="使用情况、使用状况")]   
								[Column("Usage")]   
				[DataMember]  
			    public string Usage  {get;set;}   
                                /// <summary>
                /// 户籍人口数量
                /// </summary>    
				
				[Display(Name="户籍人口数量")]   
								[Column("Population")]   
				[DataMember]  
			    public int? Population  {get;set;}   
                                /// <summary>
                /// 是否成套房
                /// </summary>    
				
				[Display(Name="是否成套房")]   
								[Column("IsSuite")]   
				[DataMember]  
			    public bool IsSuite  {get;set;}   
                                /// <summary>
                /// 产权人
                /// </summary>    
				
				[Display(Name="产权人")]   
								[Column("PropertyRightPrson")]   
				[DataMember]  
			    public string PropertyRightPrson  {get;set;}   
                                /// <summary>
                /// 承租人
                /// </summary>    
				
				[Display(Name="承租人")]   
								[Column("Lessee")]   
				[DataMember]  
			    public string Lessee  {get;set;}   
                                /// <summary>
                /// 承租人身份证号码
                /// </summary>    
				
				[Display(Name="承租人身份证号码")]   
								[Column("LesseeCardNo")]   
				[DataMember]  
			    public string LesseeCardNo  {get;set;}   
                                /// <summary>
                /// 使用人口
                /// </summary>    
				
				[Display(Name="使用人口")]   
								[Column("UsePopulation")]   
				[DataMember]  
			    public int? UsePopulation  {get;set;}   
                                /// <summary>
                /// 评估金额
                /// </summary>    
				
				[Display(Name="评估金额")]   
								[Column("AssessMoney")]   
				[DataMember]  
			    public decimal? AssessMoney  {get;set;}   
                                /// <summary>
                /// 评估金额_大写
                /// </summary>    
				
				[Display(Name="评估金额_大写")]   
								[Column("AssessMoney_DX")]   
				[DataMember]  
			    public string AssessMoney_DX  {get;set;}   
                                /// <summary>
                /// 合计应发补偿金额
                /// </summary>    
				
				[Display(Name="合计应发补偿金额")]   
								[Column("SummationShouldCompensateMoney")]   
				[DataMember]  
			    public decimal? SummationShouldCompensateMoney  {get;set;}   
                                /// <summary>
                /// 合计应发补偿金额大写
                /// </summary>    
				
				[Display(Name="合计应发补偿金额大写")]   
								[Column("SummationShouldCompensateMoney_DX")]   
				[DataMember]  
			    public string SummationShouldCompensateMoney_DX  {get;set;}   
                                /// <summary>
                /// 还未支付金额
                /// </summary>    
				
				[Display(Name="还未支付金额")]   
								[Column("DidNotPayMoney")]   
				[DataMember]  
			    public decimal? DidNotPayMoney  {get;set;}   
                                /// <summary>
                /// 支付状态,0是未支付，1还未支付完，2是支付完
                /// </summary>    
				
				[Display(Name="支付状态,0是未支付，1还未支付完，2是支付完")]   
								[Column("PayStatus")]   
				[DataMember]  
			    public int? PayStatus  {get;set;}   
                                /// <summary>
                /// 应核减房改购房资金
                /// </summary>    
				
				[Display(Name="应核减房改购房资金")]   
								[Column("HouseReformMoney")]   
				[DataMember]  
			    public decimal? HouseReformMoney  {get;set;}   
                                /// <summary>
                /// 核减后征收补偿资金
                /// </summary>    
				
				[Display(Name="核减后征收补偿资金")]   
								[Column("SubtractCompensation")]   
				[DataMember]  
			    public decimal? SubtractCompensation  {get;set;}   
                                /// <summary>
                /// 核减后征收补偿资金大写
                /// </summary>    
				
				[Display(Name="核减后征收补偿资金大写")]   
								[Column("SubtractCompensation_DX")]   
				[DataMember]  
			    public string SubtractCompensation_DX  {get;set;}   
                                /// <summary>
                /// 成套补贴费
                /// </summary>    
				
				[Display(Name="成套补贴费")]   
								[Column("SetSubsidy")]   
				[DataMember]  
			    public decimal? SetSubsidy  {get;set;}   
                                /// <summary>
                /// 提前搬迁奖励金额
                /// </summary>    
				
				[Display(Name="提前搬迁奖励金额")]   
								[Column("AheadRelocatedRewardMoney")]   
				[DataMember]  
			    public decimal? AheadRelocatedRewardMoney  {get;set;}   
                                /// <summary>
                /// 临时安置补助费
                /// </summary>    
				
				[Display(Name="临时安置补助费")]   
								[Column("TemporaryAllocationFee")]   
				[DataMember]  
			    public decimal? TemporaryAllocationFee  {get;set;}   
                                /// <summary>
                /// 其他事项约定
                /// </summary>    
				
				[Display(Name="其他事项约定")]   
								[Column("OtherPromise")]   
				[DataMember]  
			    public string OtherPromise  {get;set;}   
                                /// <summary>
                /// 备注
                /// </summary>    
				
				[Display(Name="备注")]   
								[Column("Memo")]   
				[DataMember]  
			    public string Memo  {get;set;}   
                                /// <summary>
                /// 合计征收补偿资金
                /// </summary>    
				
				[Display(Name="合计征收补偿资金")]   
								[Column("TotalCompensateMoney")]   
				[DataMember]  
			    public decimal? TotalCompensateMoney  {get;set;}   
                                /// <summary>
                /// 合计征收补偿资金大写
                /// </summary>    
				
				[Display(Name="合计征收补偿资金大写")]   
								[Column("TotalCompensateMoney_DX")]   
				[DataMember]  
			    public string TotalCompensateMoney_DX  {get;set;}   
                                /// <summary>
                /// 私租标志
                /// </summary>    
				
				[Display(Name="私租标志")]   
								[Column("IsPrivateRent")]   
				[DataMember]  
			    public bool IsPrivateRent  {get;set;}   
                                /// <summary>
                /// 协议签订时间
                /// </summary>    
				
				[Display(Name="协议签订时间")]   
								[Column("SignTime")]   
				[DataMember]  
			    public DateTime? SignTime  {get;set;}   
                                /// <summary>
                /// 拆迁人
                /// </summary>    
				
				[Display(Name="拆迁人")]   
								[Column("DemolitionPerson")]   
				[DataMember]  
			    public string DemolitionPerson  {get;set;}   
                                /// <summary>
                /// 拆迁单位
                /// </summary>    
				
				[Display(Name="拆迁单位")]   
								[Column("DemolitionUnit")]   
				[DataMember]  
			    public string DemolitionUnit  {get;set;}   
                                /// <summary>
                /// 经办人
                /// </summary>    
				
				[Display(Name="经办人")]   
								[Column("Operator")]   
				[DataMember]  
			    public string Operator  {get;set;}   
                                /// <summary>
                /// 经办人电话
                /// </summary>    
				
				[Display(Name="经办人电话")]   
								[Column("OperatorPhone")]   
				[DataMember]  
			    public string OperatorPhone  {get;set;}   
                                /// <summary>
                /// 产权单位
                /// </summary>    
				
				[Display(Name="产权单位")]   
								[Column("PropertyRightsUnit")]   
				[DataMember]  
			    public string PropertyRightsUnit  {get;set;}   
                                /// <summary>
                /// 协议类型ID 关联字典表ID
                /// </summary>    
				
				[Display(Name="协议类型ID 关联字典表ID")]   
								[Column("TypeID")]   
				[DataMember]  
			    public Guid? TypeID  {get;set;}   
                                /// <summary>
                /// 协议类型
                /// </summary>    
				
				[Display(Name="协议类型")]   
								[Column("Type")]   
				[DataMember]  
			    public string Type  {get;set;}   
                                /// <summary>
                /// 是否备案
                /// </summary>    
				
				[Display(Name="是否备案")]   
								[Column("IsInRecords")]   
				[DataMember]  
			    public bool IsInRecords  {get;set;}   
                                /// <summary>
                /// 备案人ID
                /// </summary>    
				
				[Display(Name="备案人ID")]   
								[Column("InRecordPersonID")]   
				[DataMember]  
			    public Guid? InRecordPersonID  {get;set;}   
                                /// <summary>
                /// 备案人
                /// </summary>    
				
				[Display(Name="备案人")]   
								[Column("InRecordPerson")]   
				[DataMember]  
			    public string InRecordPerson  {get;set;}   
                                /// <summary>
                /// 备案时间
                /// </summary>    
				
				[Display(Name="备案时间")]   
								[Column("InRecordDate")]   
				[DataMember]  
			    public DateTime? InRecordDate  {get;set;}   
                                /// <summary>
                /// 房改意愿
                /// </summary>    
				
				[Display(Name="房改意愿")]   
								[Column("IsHousingReform")]   
				[DataMember]  
			    public bool IsHousingReform  {get;set;}   
                                /// <summary>
                /// 补偿安置方式ID,调产方式ID 关联字典表ID
                /// </summary>    
				
				[Display(Name="补偿安置方式ID,调产方式ID 关联字典表ID")]   
								[Column("SwitchProductionWayID")]   
				[DataMember]  
			    public Guid? SwitchProductionWayID  {get;set;}   
                                /// <summary>
                /// 补偿安置方式,调产方式
                /// </summary>    
				
				[Display(Name="补偿安置方式,调产方式")]   
								[Column("SwitchProductionWay")]   
				[DataMember]  
			    public string SwitchProductionWay  {get;set;}   
                                /// <summary>
                /// 结合住房使用状况折算后补偿资金
                /// </summary>    
				
				[Display(Name="结合住房使用状况折算后补偿资金")]   
								[Column("JHZFSYZKZSHBCZJ")]   
				[DataMember]  
			    public decimal? JHZFSYZKZSHBCZJ  {get;set;}   
                                /// <summary>
                /// 选择货币补偿增加补偿资金/房票协议时为房票补助
                /// </summary>    
				
				[Display(Name="选择货币补偿增加补偿资金/房票协议时为房票补助")]   
								[Column("XZHBBCZJBCZJ")]   
				[DataMember]  
			    public decimal? XZHBBCZJBCZJ  {get;set;}   
                                /// <summary>
                /// 按住房困难标准增加补助资金
                /// </summary>    
				
				[Display(Name="按住房困难标准增加补助资金")]   
								[Column("AZFKNBZZJBZZJ")]   
				[DataMember]  
			    public decimal? AZFKNBZZJBZZJ  {get;set;}   
                                /// <summary>
                /// 按补偿金额折算的产权调换面积
                /// </summary>    
				
				[Display(Name="按补偿金额折算的产权调换面积")]   
								[Column("ABCJEZSDCQDHMJ")]   
				[DataMember]  
			    public decimal? ABCJEZSDCQDHMJ  {get;set;}   
                                /// <summary>
                /// 产权调换面积补助
                /// </summary>    
				
				[Display(Name="产权调换面积补助")]   
								[Column("CQDHMJBZ")]   
				[DataMember]  
			    public decimal? CQDHMJBZ  {get;set;}   
                                /// <summary>
                /// 产权调换增加面积
                /// </summary>    
				
				[Display(Name="产权调换增加面积")]   
								[Column("CQDHZJMJ")]   
				[DataMember]  
			    public decimal? CQDHZJMJ  {get;set;}   
                                /// <summary>
                /// 安置高层可增加公摊补助面积
                /// </summary>    
				
				[Display(Name="安置高层可增加公摊补助面积")]   
								[Column("AZGCKZJGTBZMJ")]   
				[DataMember]  
			    public decimal? AZGCKZJGTBZMJ  {get;set;}   
                                /// <summary>
                /// 上靠增加面积
                /// </summary>    
				
				[Display(Name="上靠增加面积")]   
								[Column("SKZJMJ")]   
				[DataMember]  
			    public decimal? SKZJMJ  {get;set;}   
                                /// <summary>
                /// 乙方产权调换房屋面积合计
                /// </summary>    
				
				[Display(Name="乙方产权调换房屋面积合计")]   
								[Column("TotalAllocationArea")]   
				[DataMember]  
			    public decimal? TotalAllocationArea  {get;set;}   
                                /// <summary>
                /// 一次性搬迁补偿费
                /// </summary>    
				
				[Display(Name="一次性搬迁补偿费")]   
								[Column("OneTimeRelocationCompensation")]   
				[DataMember]  
			    public decimal? OneTimeRelocationCompensation  {get;set;}   
                                /// <summary>
                /// 按困难补助标准计发补偿资金
                /// </summary>    
				
				[Display(Name="按困难补助标准计发补偿资金")]   
								[Column("AKNBZBZJFBCZJ")]   
				[DataMember]  
			    public decimal? AKNBZBZJFBCZJ  {get;set;}   
                                /// <summary>
                /// 提前搬迁奖励比例
                /// </summary>    
				
				[Display(Name="提前搬迁奖励比例")]   
								[Column("TQBQJLBL")]   
				[DataMember]  
			    public decimal? TQBQJLBL  {get;set;}   
                                /// <summary>
                /// 现房一次性临时安置费
                /// </summary>    
				
				[Display(Name="现房一次性临时安置费")]   
								[Column("XFYCQLSAZF")]   
				[DataMember]  
			    public decimal? XFYCQLSAZF  {get;set;}   
                                /// <summary>
                /// 先行支付乙方征收补偿资金日数
                /// </summary>    
				
				[Display(Name="先行支付乙方征收补偿资金日数")]   
								[Column("XYZFYFZSBCZJRS")]   
				[DataMember]  
			    public int? XYZFYFZSBCZJRS  {get;set;}   
                                /// <summary>
                /// 签订协议几日内先行支付乙方征收补偿资金
                /// </summary>    
				
				[Display(Name="签订协议几日内先行支付乙方征收补偿资金")]   
								[Column("XYQDJRNXXZFYFZSBCZJ")]   
				[DataMember]  
			    public decimal? XYQDJRNXXZFYFZSBCZJ  {get;set;}   
                                /// <summary>
                /// 先行支付乙方征收补偿资金的余额
                /// </summary>    
				
				[Display(Name="先行支付乙方征收补偿资金的余额")]   
								[Column("XXZFBCJEYE")]   
				[DataMember]  
			    public decimal? XXZFBCJEYE  {get;set;}   
                                /// <summary>
                /// 无描述
                /// </summary>    
				
				[Display(Name="无描述")]   
								[Column("qtzfrq")]   
				[DataMember]  
			    public string qtzfrq  {get;set;}   
                                /// <summary>
                /// 无描述
                /// </summary>    
				
				[Display(Name="无描述")]   
								[Column("qtqfrq")]   
				[DataMember]  
			    public string qtqfrq  {get;set;}   
                                /// <summary>
                /// 乙方保证搬迁日期
                /// </summary>    
				
				[Display(Name="乙方保证搬迁日期")]   
								[Column("EnsureRelocateDate")]   
				[DataMember]  
			    public DateTime? EnsureRelocateDate  {get;set;}   
                                /// <summary>
                /// 公告规定的搬迁期限
                /// </summary>    
				
				[Display(Name="公告规定的搬迁期限")]   
								[Column("GGGDDBQQX")]   
				[DataMember]  
			    public string GGGDDBQQX  {get;set;}   
                                /// <summary>
                /// 签约搬迁奖励在搬迁期限届满后几日支付
                /// </summary>    
				
				[Display(Name="签约搬迁奖励在搬迁期限届满后几日支付")]   
								[Column("QYBQJLZBQQXJMHJRZF")]   
				[DataMember]  
			    public int? QYBQJLZBQQXJMHJRZF  {get;set;}   
                                /// <summary>
                /// 协议生效签约比例
                /// </summary>    
				
				[Display(Name="协议生效签约比例")]   
								[Column("XYSXQYBL")]   
				[DataMember]  
			    public string XYSXQYBL  {get;set;}   
                                /// <summary>
                /// 住房困难补助资金
                /// </summary>    
				
				[Display(Name="住房困难补助资金")]   
								[Column("ZFKNBZZJ")]   
				[DataMember]  
			    public decimal? ZFKNBZZJ  {get;set;}   
                                /// <summary>
                /// 低收入住房困难补偿金额
                /// </summary>    
				
				[Display(Name="低收入住房困难补偿金额")]   
								[Column("DSRZFKNBCJE")]   
				[DataMember]  
			    public decimal? DSRZFKNBCJE  {get;set;}   
                                /// <summary>
                /// 签约搬迁奖励费
                /// </summary>    
				
				[Display(Name="签约搬迁奖励费")]   
								[Column("QYBQJLF")]   
				[DataMember]  
			    public decimal? QYBQJLF  {get;set;}   
                                /// <summary>
                /// 安置房所在区ID 关联字典ID
                /// </summary>    
				
				[Display(Name="安置房所在区ID 关联字典ID")]   
								[Column("AllocationHouseAreaID")]   
				[DataMember]  
			    public Guid? AllocationHouseAreaID  {get;set;}   
                                /// <summary>
                /// 安置房所在区
                /// </summary>    
				
				[Display(Name="安置房所在区")]   
								[Column("AllocationHouseArea")]   
				[DataMember]  
			    public string AllocationHouseArea  {get;set;}   
                                /// <summary>
                /// 安置房坐落
                /// </summary>    
				
				[Display(Name="安置房坐落")]   
								[Column("AllocationHouseAddr")]   
				[DataMember]  
			    public string AllocationHouseAddr  {get;set;}   
                                /// <summary>
                /// 安置房房屋类型ID 关联字典表ID
                /// </summary>    
				
				[Display(Name="安置房房屋类型ID 关联字典表ID")]   
								[Column("AllocationHouseTypeID")]   
				[DataMember]  
			    public Guid? AllocationHouseTypeID  {get;set;}   
                                /// <summary>
                /// 安置房房屋类型
                /// </summary>    
				
				[Display(Name="安置房房屋类型")]   
								[Column("AllocationHouseType")]   
				[DataMember]  
			    public string AllocationHouseType  {get;set;}   
                                /// <summary>
                /// 安置房建筑面积
                /// </summary>    
				
				[Display(Name="安置房建筑面积")]   
								[Column("AllocationHouseBuildArea")]   
				[DataMember]  
			    public decimal? AllocationHouseBuildArea  {get;set;}   
                                /// <summary>
                /// 安置房提供日期
                /// </summary>    
				
				[Display(Name="安置房提供日期")]   
								[Column("AllocationHouseProvideDate")]   
				[DataMember]  
			    public string AllocationHouseProvideDate  {get;set;}   
                                /// <summary>
                /// 安置房所在区ID 关联字典ID(适用于第二套安置房，现房+期房协议)
                /// </summary>    
				
				[Display(Name="安置房所在区ID 关联字典ID(适用于第二套安置房，现房+期房协议)")]   
								[Column("AllocationHouseAreaID2")]   
				[DataMember]  
			    public Guid? AllocationHouseAreaID2  {get;set;}   
                                /// <summary>
                /// 安置房所在区(适用于第二套安置房，现房+期房协议)
                /// </summary>    
				
				[Display(Name="安置房所在区(适用于第二套安置房，现房+期房协议)")]   
								[Column("AllocationHouseArea2")]   
				[DataMember]  
			    public string AllocationHouseArea2  {get;set;}   
                                /// <summary>
                /// 安置房坐落(适用于第二套安置房，现房+期房协议)
                /// </summary>    
				
				[Display(Name="安置房坐落(适用于第二套安置房，现房+期房协议)")]   
								[Column("AllocationHouseAddr2")]   
				[DataMember]  
			    public string AllocationHouseAddr2  {get;set;}   
                                /// <summary>
                /// 安置房房屋类型ID 关联字典表ID(适用于第二套安置房，现房+期房协议)
                /// </summary>    
				
				[Display(Name="安置房房屋类型ID 关联字典表ID(适用于第二套安置房，现房+期房协议)")]   
								[Column("AllocationHouseTypeID2")]   
				[DataMember]  
			    public Guid? AllocationHouseTypeID2  {get;set;}   
                                /// <summary>
                /// 安置房房屋类型(适用于第二套安置房，现房+期房协议)
                /// </summary>    
				
				[Display(Name="安置房房屋类型(适用于第二套安置房，现房+期房协议)")]   
								[Column("AllocationHouseType2")]   
				[DataMember]  
			    public string AllocationHouseType2  {get;set;}   
                                /// <summary>
                /// 安置房建筑面积(适用于第二套安置房，现房+期房协议)/北仑区现房协议为最大建筑面积
                /// </summary>    
				
				[Display(Name="安置房建筑面积(适用于第二套安置房，现房+期房协议)/北仑区现房协议为最大建筑面积")]   
								[Column("AllocationHouseBuildArea2")]   
				[DataMember]  
			    public decimal? AllocationHouseBuildArea2  {get;set;}   
                                /// <summary>
                /// 安置房提供日期(适用于第二套安置房，现房+期房协议)
                /// </summary>    
				
				[Display(Name="安置房提供日期(适用于第二套安置房，现房+期房协议)")]   
								[Column("AllocationHouseProvideDate2")]   
				[DataMember]  
			    public string AllocationHouseProvideDate2  {get;set;}   
                                /// <summary>
                /// 期房六月后临时安置费每月金额
                /// </summary>    
				
				[Display(Name="期房六月后临时安置费每月金额")]   
								[Column("QFLYHLSAZFMYJE")]   
				[DataMember]  
			    public decimal? QFLYHLSAZFMYJE  {get;set;}   
                                /// <summary>
                /// 期房临时安置费协议生效几日先行支付
                /// </summary>    
				
				[Display(Name="期房临时安置费协议生效几日先行支付")]   
								[Column("QFLSAZFXYSXJRXZZF")]   
				[DataMember]  
			    public int? QFLSAZFXYSXJRXZZF  {get;set;}   
                                /// <summary>
                /// 期房临时安置先行支付安置费用月数
                /// </summary>    
				
				[Display(Name="期房临时安置先行支付安置费用月数")]   
								[Column("QFLSAZXXZFAZFYYS")]   
				[DataMember]  
			    public decimal? QFLSAZXXZFAZFYYS  {get;set;}   
                                /// <summary>
                /// 期房临时安置先行支付安置费用
                /// </summary>    
				
				[Display(Name="期房临时安置先行支付安置费用")]   
								[Column("QFLSAZXXAZFY")]   
				[DataMember]  
			    public decimal? QFLSAZXXAZFY  {get;set;}   
                                /// <summary>
                /// 是否复核
                /// </summary>    
				
				[Display(Name="是否复核")]   
								[Column("IsReCheck")]   
				[DataMember]  
			    public bool IsReCheck  {get;set;}   
                                /// <summary>
                /// 复核人员
                /// </summary>    
				
				[Display(Name="复核人员")]   
								[Column("ReCheckPerson")]   
				[DataMember]  
			    public string ReCheckPerson  {get;set;}   
                                /// <summary>
                /// 复核日期
                /// </summary>    
				
				[Display(Name="复核日期")]   
								[Column("ReCheckDate")]   
				[DataMember]  
			    public DateTime? ReCheckDate  {get;set;}   
                                /// <summary>
                /// 契税复核标志
                /// </summary>    
				
				[Display(Name="契税复核标志")]   
								[Column("IsDeedTax")]   
				[DataMember]  
			    public bool IsDeedTax  {get;set;}   
                                /// <summary>
                /// 契税抵扣人员
                /// </summary>    
				
				[Display(Name="契税抵扣人员")]   
								[Column("DeedTaxPerson")]   
				[DataMember]  
			    public string DeedTaxPerson  {get;set;}   
                                /// <summary>
                /// 契税抵扣日期
                /// </summary>    
				
				[Display(Name="契税抵扣日期")]   
								[Column("DeedTaxDeductionDate")]   
				[DataMember]  
			    public DateTime? DeedTaxDeductionDate  {get;set;}   
                                /// <summary>
                /// 其他补偿
                /// </summary>    
				
				[Display(Name="其他补偿")]   
								[Column("OtherCompensation")]   
				[DataMember]  
			    public string OtherCompensation  {get;set;}   
                                /// <summary>
                /// 税务人员备注说明
                /// </summary>    
				
				[Display(Name="税务人员备注说明")]   
								[Column("TaxPersonRemark")]   
				[DataMember]  
			    public string TaxPersonRemark  {get;set;}   
                                /// <summary>
                /// 无描述
                /// </summary>    
				
				[Display(Name="无描述")]   
								[Column("CreateUserName")]   
				[DataMember]  
			    public string CreateUserName  {get;set;}   
                                /// <summary>
                /// 无描述
                /// </summary>    
				
				[Display(Name="无描述")]   
								[Column("UpdateTime")]   
				[DataMember]  
			    public DateTime? UpdateTime  {get;set;}   
                                /// <summary>
                /// 无描述
                /// </summary>    
				
				[Display(Name="无描述")]   
								[Column("UpdateUserId")]   
				[DataMember]  
			    public Guid? UpdateUserId  {get;set;}   
                                /// <summary>
                /// 无描述
                /// </summary>    
				
				[Display(Name="无描述")]   
								[Column("UpdateUserName")]   
				[DataMember]  
			    public string UpdateUserName  {get;set;}   
                                /// <summary>
                /// 无描述
                /// </summary>    
				
				[Display(Name="无描述")]   
								[Column("Remark")]   
				[DataMember]  
			    public string Remark  {get;set;}   
                                /// <summary>
                /// 无描述
                /// </summary>    
				
				[Display(Name="无描述")]   
								[Column("Files")]   
				[DataMember]  
			    public string Files  {get;set;}   
                                /// <summary>
                /// 临时安置补偿费标准
                /// </summary>    
				
				[Display(Name="临时安置补偿费标准")]   
								[Column("LSAZBCFBZ")]   
				[DataMember]  
			    public decimal? LSAZBCFBZ  {get;set;}   
                                /// <summary>
                /// 危旧房区块ID关联ProjectsBlock表ID
                /// </summary>    
				
				[Display(Name="危旧房区块ID关联ProjectsBlock表ID")]   
								[Column("WJF_BlockID")]   
				[DataMember]  
			    public Guid? WJF_BlockID  {get;set;}   
                                /// <summary>
                /// 危旧房区块名称
                /// </summary>    
				
				[Display(Name="危旧房区块名称")]   
								[Column("WJF_Block")]   
				[DataMember]  
			    public string WJF_Block  {get;set;}   
                                /// <summary>
                /// 无描述
                /// </summary>    
				
				[Display(Name="无描述")]   
								[Column("HouseAcquisitionDepartment")]   
				[DataMember]  
			    public string HouseAcquisitionDepartment  {get;set;}   
                                /// <summary>
                /// 无描述
                /// </summary>    
				
				[Display(Name="无描述")]   
								[Column("CollectImplUnitName")]   
				[DataMember]  
			    public string CollectImplUnitName  {get;set;}   
                                /// <summary>
                /// 无描述
                /// </summary>    
				
				[Display(Name="无描述")]   
								[Column("AvailableAmount")]   
				[DataMember]  
			    public decimal? AvailableAmount  {get;set;}   
                                /// <summary>
                /// 征收部门电话
                /// </summary>    
				
				[Display(Name="征收部门电话")]   
								[Column("ZSPhone")]   
				[DataMember]  
			    public string ZSPhone  {get;set;}   
                                /// <summary>
                /// 征收部门地址
                /// </summary>    
				
				[Display(Name="征收部门地址")]   
								[Column("ZSAddress")]   
				[DataMember]  
			    public string ZSAddress  {get;set;}   
                                /// <summary>
                /// 征收实施单位电话
                /// </summary>    
				
				[Display(Name="征收实施单位电话")]   
								[Column("ZSSSPhone")]   
				[DataMember]  
			    public string ZSSSPhone  {get;set;}   
                                /// <summary>
                /// 征收实施单位地址
                /// </summary>    
				
				[Display(Name="征收实施单位地址")]   
								[Column("ZSSSAddress")]   
				[DataMember]  
			    public string ZSSSAddress  {get;set;}   
                                /// <summary>
                /// 无描述
                /// </summary>    
				
				[Display(Name="无描述")]   
								[Column("HousingManagementID")]   
				[DataMember]  
			    public Guid? HousingManagementID  {get;set;}   
                                /// <summary>
                /// 无描述
                /// </summary>    
				
				[Display(Name="无描述")]   
								[Column("Village")]   
				[DataMember]  
			    public string Village  {get;set;}   
                                /// <summary>
                /// 无描述
                /// </summary>    
				
				[Display(Name="无描述")]   
								[Column("Sfyzx")]   
				[DataMember]  
			    public string Sfyzx  {get;set;}   
                                /// <summary>
                /// 无描述
                /// </summary>    
				
				[Display(Name="无描述")]   
								[Column("Cancellation")]   
				[DataMember]  
			    public int? Cancellation  {get;set;}   
                                /// <summary>
                /// 无描述
                /// </summary>    
				
				[Display(Name="无描述")]   
								[Column("ZDYBQRQ")]   
				[DataMember]  
			    public string ZDYBQRQ  {get;set;}   
                                /// <summary>
                /// 被征收人证件类别
                /// </summary>    
				
				[Display(Name="被征收人证件类别")]   
								[Column("CardLb")]   
				[DataMember]  
			    public string CardLb  {get;set;}   
                                /// <summary>
                /// 土地使用权面积
                /// </summary>    
				
				[Display(Name="土地使用权面积")]   
								[Column("LandUseArea")]   
				[DataMember]  
			    public decimal? LandUseArea  {get;set;}   
                                /// <summary>
                /// 房屋评估价格
                /// </summary>    
				
				[Display(Name="房屋评估价格")]   
								[Column("FWPGValue")]   
				[DataMember]  
			    public decimal? FWPGValue  {get;set;}   
                                /// <summary>
                /// 装修、附属物评估价值/若两者分离表示装修评估价值
                /// </summary>    
				
				[Display(Name="装修、附属物评估价值/若两者分离表示装修评估价值")]   
								[Column("ZXFSPGValue")]   
				[DataMember]  
			    public decimal? ZXFSPGValue  {get;set;}   
                                /// <summary>
                /// 征收补偿金额比例
                /// </summary>    
				
				[Display(Name="征收补偿金额比例")]   
								[Column("BCValueBL")]   
				[DataMember]  
			    public decimal? BCValueBL  {get;set;}   
                                /// <summary>
                /// 安置房属性
                /// </summary>    
				
				[Display(Name="安置房属性")]   
								[Column("AZFSX")]   
				[DataMember]  
			    public string AZFSX  {get;set;}   
                                /// <summary>
                /// 支付临时安置费月数
                /// </summary>    
				
				[Display(Name="支付临时安置费月数")]   
								[Column("GiveLSAZFMonth")]   
				[DataMember]  
			    public int? GiveLSAZFMonth  {get;set;}   
                                /// <summary>
                /// 支付临时安置费元/每月
                /// </summary>    
				
				[Display(Name="支付临时安置费元/每月")]   
								[Column("GiveLSANZFValue")]   
				[DataMember]  
			    public decimal? GiveLSANZFValue  {get;set;}   
                                /// <summary>
                /// 补偿资金余额支付天数
                /// </summary>    
				
				[Display(Name="补偿资金余额支付天数")]   
								[Column("BCZJYEGiveTime")]   
				[DataMember]  
			    public int? BCZJYEGiveTime  {get;set;}   
                                /// <summary>
                /// 安置住房评估比准价
                /// </summary>    
				
				[Display(Name="安置住房评估比准价")]   
								[Column("AllocationHouseEvaluationApprovePrice")]   
				[DataMember]  
			    public decimal? AllocationHouseEvaluationApprovePrice  {get;set;}   
                                /// <summary>
                /// 房产证号
                /// </summary>    
				
				[Display(Name="房产证号")]   
								[Column("PropertyRightCardNo")]   
				[DataMember]  
			    public string PropertyRightCardNo  {get;set;}   
                                /// <summary>
                /// 权证建筑面积
                /// </summary>    
				
				[Display(Name="权证建筑面积")]   
								[Column("PropertyArea")]   
				[DataMember]  
			    public decimal? PropertyArea  {get;set;}   
                                /// <summary>
                /// 土地证号码
                /// </summary>    
				
				[Display(Name="土地证号码")]   
								[Column("LandCardNo")]   
				[DataMember]  
			    public string LandCardNo  {get;set;}   
                                /// <summary>
                /// 证载土地面积
                /// </summary>    
				
				[Display(Name="证载土地面积")]   
								[Column("LandCardArea")]   
				[DataMember]  
			    public decimal? LandCardArea  {get;set;}   
                                /// <summary>
                /// 核定土地面积
                /// </summary>    
				
				[Display(Name="核定土地面积")]   
								[Column("LandFinalArea")]   
				[DataMember]  
			    public decimal? LandFinalArea  {get;set;}   
                                /// <summary>
                /// 总评估价值
                /// </summary>    
				
				[Display(Name="总评估价值")]   
								[Column("AmoutPGMoney")]   
				[DataMember]  
			    public decimal? AmoutPGMoney  {get;set;}   
                                /// <summary>
                /// 换算面积结算
                /// </summary>    
				
				[Display(Name="换算面积结算")]   
								[Column("HSMJJS")]   
				[DataMember]  
			    public decimal? HSMJJS  {get;set;}   
                                /// <summary>
                /// 增加面积结算
                /// </summary>    
				
				[Display(Name="增加面积结算")]   
								[Column("AddMJJS")]   
				[DataMember]  
			    public decimal? AddMJJS  {get;set;}   
                                /// <summary>
                /// 上靠面积结算/北仑产权调换现房时为最大上靠面积
                /// </summary>    
				
				[Display(Name="上靠面积结算/北仑产权调换现房时为最大上靠面积")]   
								[Column("SKMJJS")]   
				[DataMember]  
			    public decimal? SKMJJS  {get;set;}   
                                /// <summary>
                /// 特殊数据结算
                /// </summary>    
				
				[Display(Name="特殊数据结算")]   
								[Column("TSMJJS")]   
				[DataMember]  
			    public decimal? TSMJJS  {get;set;}   
                                /// <summary>
                /// 合计支付金额/北仑产权调换现房时为最大建筑面积
                /// </summary>    
				
				[Display(Name="合计支付金额/北仑产权调换现房时为最大建筑面积")]   
								[Column("TotalJS")]   
				[DataMember]  
			    public decimal? TotalJS  {get;set;}   
                                /// <summary>
                /// 购房补助区外
                /// </summary>    
				
				[Display(Name="购房补助区外")]   
								[Column("Gfbz_Out")]   
				[DataMember]  
			    public string Gfbz_Out  {get;set;}   
                                /// <summary>
                /// 是否市区
                /// </summary>    
				
				[Display(Name="是否市区")]   
								[Column("IsCity")]   
				[DataMember]  
			    public string IsCity  {get;set;}   
                                /// <summary>
                /// 下级判断
                /// </summary>    
				
				[Display(Name="下级判断")]   
								[Column("IsNext")]   
				[DataMember]  
			    public string IsNext  {get;set;}   
                                /// <summary>
                /// 购买区域
                /// </summary>    
				
				[Display(Name="购买区域")]   
								[Column("BuyArea")]   
				[DataMember]  
			    public string BuyArea  {get;set;}   
                                /// <summary>
                /// 公告规定签约期限
                /// </summary>    
				
				[Display(Name="公告规定签约期限")]   
								[Column("GGGDQYQX")]   
				[DataMember]  
			    public string GGGDQYQX  {get;set;}   
                                /// <summary>
                /// 承租人证件类型
                /// </summary>    
				
				[Display(Name="承租人证件类型")]   
								[Column("LesseeLB")]   
				[DataMember]  
			    public string LesseeLB  {get;set;}   
                                /// <summary>
                /// 产权性质
                /// </summary>    
				
				[Display(Name="产权性质")]   
								[Column("NatureOfProperty")]   
				[DataMember]  
			    public string NatureOfProperty  {get;set;}   
                                /// <summary>
                /// 产权性质ID
                /// </summary>    
				
				[Display(Name="产权性质ID")]   
								[Column("NatureOfPropertyID")]   
				[DataMember]  
			    public Guid? NatureOfPropertyID  {get;set;}   
                                /// <summary>
                /// 住房困难补偿金类型金额
                /// </summary>    
				
				[Display(Name="住房困难补偿金类型金额")]   
								[Column("zfknzj")]   
				[DataMember]  
			    public string zfknzj  {get;set;}   
                                /// <summary>
                /// 住房困难补偿金类型名字  住房困难补助金额,0;低收入住房困难补偿金额,1
                /// </summary>    
				
				[Display(Name="住房困难补偿金类型名字  住房困难补助金额,0;低收入住房困难补偿金额,1")]   
								[Column("zfknName")]   
				[DataMember]  
			    public string zfknName  {get;set;}   
                                /// <summary>
                /// 签约搬迁奖励费 计算
                /// </summary>    
				
				[Display(Name="签约搬迁奖励费 计算")]   
								[Column("QYBQJLCal")]   
				[DataMember]  
			    public decimal? QYBQJLCal  {get;set;}   
                                /// <summary>
                /// 补助面积结算
                /// </summary>    
				
				[Display(Name="补助面积结算")]   
								[Column("BZMJJS")]   
				[DataMember]  
			    public decimal? BZMJJS  {get;set;}   
                                /// <summary>
                /// 安置房单价
                /// </summary>    
				
				[Display(Name="安置房单价")]   
								[Column("AZFDJ")]   
				[DataMember]  
			    public string AZFDJ  {get;set;}   
                                /// <summary>
                /// 是否符合房改
                /// </summary>    
				
				[Display(Name="是否符合房改")]   
								[Column("IsFitGF")]   
				[DataMember]  
			    public string IsFitGF  {get;set;}   
                                /// <summary>
                /// 无描述
                /// </summary>    
				
				[Display(Name="无描述")]   
								[Column("LandWay")]   
				[DataMember]  
			    public string LandWay  {get;set;}   
                                /// <summary>
                /// 无描述
                /// </summary>    
				
				[Display(Name="无描述")]   
								[Column("LandUse")]   
				[DataMember]  
			    public string LandUse  {get;set;}   
                                /// <summary>
                /// 房屋用途
                /// </summary>    
				
				[Display(Name="房屋用途")]   
								[Column("HouseUse")]   
				[DataMember]  
			    public string HouseUse  {get;set;}   
                                /// <summary>
                /// 阁楼面积
                /// </summary>    
				
				[Display(Name="阁楼面积")]   
								[Column("AtticArea")]   
				[DataMember]  
			    public decimal? AtticArea  {get;set;}   
                                /// <summary>
                /// 附属用房面积
                /// </summary>    
				
				[Display(Name="附属用房面积")]   
								[Column("AttachedArea")]   
				[DataMember]  
			    public decimal? AttachedArea  {get;set;}   
                                /// <summary>
                /// 红线内无证面积
                /// </summary>    
				
				[Display(Name="红线内无证面积")]   
								[Column("RedLine_In")]   
				[DataMember]  
			    public decimal? RedLine_In  {get;set;}   
                                /// <summary>
                /// 红线外无证面积
                /// </summary>    
				
				[Display(Name="红线外无证面积")]   
								[Column("RedLine_Out")]   
				[DataMember]  
			    public decimal? RedLine_Out  {get;set;}   
                                /// <summary>
                /// 附属评估价值
                /// </summary>    
				
				[Display(Name="附属评估价值")]   
								[Column("FSPGValue")]   
				[DataMember]  
			    public decimal? FSPGValue  {get;set;}   
                                /// <summary>
                /// 阁楼补偿费
                /// </summary>    
				
				[Display(Name="阁楼补偿费")]   
								[Column("AtticAssessedValue")]   
				[DataMember]  
			    public decimal? AtticAssessedValue  {get;set;}   
                                /// <summary>
                /// 超容积率土地补偿费
                /// </summary>    
				
				[Display(Name="超容积率土地补偿费")]   
								[Column("ExceedLandMoney")]   
				[DataMember]  
			    public decimal? ExceedLandMoney  {get;set;}   
                                /// <summary>
                /// 房票金额
                /// </summary>    
				
				[Display(Name="房票金额")]   
								[Column("HouseTicketMoney")]   
				[DataMember]  
			    public decimal? HouseTicketMoney  {get;set;}   
                                /// <summary>
                /// 是否房票协议  0：否 ；1：是
                /// </summary>    
				
				[Display(Name="是否房票协议  0：否 ；1：是")]   
								[Column("IfHouseTick")]   
				[DataMember]  
			    public string IfHouseTick  {get;set;}   
                                /// <summary>
                /// 上靠面积最大值
                /// </summary>    
				
				[Display(Name="上靠面积最大值")]   
								[Column("SKZJMJ_Max")]   
				[DataMember]  
			    public decimal? SKZJMJ_Max  {get;set;}   
                                /// <summary>
                /// 合计产权调换面积最大值
                /// </summary>    
				
				[Display(Name="合计产权调换面积最大值")]   
								[Column("TotalAllocationArea_Max")]   
				[DataMember]  
			    public decimal? TotalAllocationArea_Max  {get;set;}   
                                /// <summary>
                /// 额外面积
                /// </summary>    
				
				[Display(Name="额外面积")]   
								[Column("ExtraArea")]   
				[DataMember]  
			    public decimal? ExtraArea  {get;set;}   
                                /// <summary>
                /// 额外面积属性 0为少 1为超
                /// </summary>    
				
				[Display(Name="额外面积属性 0为少 1为超")]   
								[Column("ExtraType")]   
				[DataMember]  
			    public string ExtraType  {get;set;}   
                                /// <summary>
                /// 公摊补助面积结算
                /// </summary>    
				
				[Display(Name="公摊补助面积结算")]   
								[Column("GTBZMJJS")]   
				[DataMember]  
			    public decimal? GTBZMJJS  {get;set;}   
                                /// <summary>
                /// 安置房建筑面积最大限
                /// </summary>    
				
				[Display(Name="安置房建筑面积最大限")]   
								[Column("AllocationHouseBuildArea_Max")]   
				[DataMember]  
			    public decimal? AllocationHouseBuildArea_Max  {get;set;}   
                                /// <summary>
                /// 房票给与时间
                /// </summary>    
				
				[Display(Name="房票给与时间")]   
								[Column("HouseTicketGive")]   
				[DataMember]  
			    public int? HouseTicketGive  {get;set;}   
                                /// <summary>
                /// 住宅协议打印历史记录
                /// </summary>    
				
				[Display(Name="住宅协议打印历史记录")]   
								[Column("XYLODOPText")]   
				[DataMember]  
			    public string XYLODOPText  {get;set;}   
                                /// <summary>
                /// 住宅协议打印历史记录标志
                /// </summary>    
				
				[Display(Name="住宅协议打印历史记录标志")]   
								[Column("XYLODOP")]   
				[DataMember]  
			    public bool XYLODOP  {get;set;}   
                                /// <summary>
                /// 核算单打印历史记录
                /// </summary>    
				
				[Display(Name="核算单打印历史记录")]   
								[Column("HSDLODOPText")]   
				[DataMember]  
			    public string HSDLODOPText  {get;set;}   
                                /// <summary>
                /// 核算单打印历史记录标志
                /// </summary>    
				
				[Display(Name="核算单打印历史记录标志")]   
								[Column("HSDLODOP")]   
				[DataMember]  
			    public bool HSDLODOP  {get;set;}   
                                /// <summary>
                /// 超容积土地面积
                /// </summary>    
				
				[Display(Name="超容积土地面积")]   
								[Column("ExceedLandArea")]   
				[DataMember]  
			    public decimal? ExceedLandArea  {get;set;}   
                                /// <summary>
                /// 提前搬迁奖励大
                /// </summary>    
				
				[Display(Name="提前搬迁奖励大")]   
								[Column("MoveRewardBig")]   
				[DataMember]  
			    public decimal? MoveRewardBig  {get;set;}   
                                /// <summary>
                /// 提前搬迁奖励小
                /// </summary>    
				
				[Display(Name="提前搬迁奖励小")]   
								[Column("MoveRewardSmall")]   
				[DataMember]  
			    public decimal? MoveRewardSmall  {get;set;}   
                                /// <summary>
                /// 结算单张数
                /// </summary>    
				
				[Display(Name="结算单张数")]   
								[Column("ClearingSheetNum")]   
				[DataMember]  
			    public int? ClearingSheetNum  {get;set;}   
                                /// <summary>
                /// 未新增结算单张数
                /// </summary>    
				
				[Display(Name="未新增结算单张数")]   
								[Column("NoAddClearingSheetNum")]   
				[DataMember]  
			    public int? NoAddClearingSheetNum  {get;set;}   
                                /// <summary>
                /// 已新增未备案结算单张数
                /// </summary>    
				
				[Display(Name="已新增未备案结算单张数")]   
								[Column("HaveAddClearingSheetNum")]   
				[DataMember]  
			    public int? HaveAddClearingSheetNum  {get;set;}   
                                /// <summary>
                /// 已备案结算单张数
                /// </summary>    
				
				[Display(Name="已备案结算单张数")]   
								[Column("HaveRecordClearingSheetNum")]   
				[DataMember]  
			    public int? HaveRecordClearingSheetNum  {get;set;}   
                                /// <summary>
                /// 是否产权调换
                /// </summary>    
				
				[Display(Name="是否产权调换")]   
								[Column("IfCQDH")]   
				[DataMember]  
			    public bool IfCQDH  {get;set;}   
                                /// <summary>
                /// 临时安置费补助标准
                /// </summary>    
				
				[Display(Name="临时安置费补助标准")]   
								[Column("QFLSBZ_Month")]   
				[DataMember]  
			    public decimal? QFLSBZ_Month  {get;set;}   
                                /// <summary>
                /// 临时安置费补助
                /// </summary>    
				
				[Display(Name="临时安置费补助")]   
								[Column("QFLSBZ")]   
				[DataMember]  
			    public decimal? QFLSBZ  {get;set;}   
                                /// <summary>
                /// 出租出借私房产权人
                /// </summary>    
				
				[Display(Name="出租出借私房产权人")]   
								[Column("PropertyUser1")]   
				[DataMember]  
			    public string PropertyUser1  {get;set;}   
                                /// <summary>
                /// 出租出借私房承租人
                /// </summary>    
				
				[Display(Name="出租出借私房承租人")]   
								[Column("Lessee1")]   
				[DataMember]  
			    public string Lessee1  {get;set;}   
                                /// <summary>
                /// 评估金额是否计算比例
                /// </summary>    
				
				[Display(Name="评估金额是否计算比例")]   
								[Column("AssessMoneyIfCalute")]   
				[DataMember]  
			    public int AssessMoneyIfCalute  {get;set;}   
                                /// <summary>
                /// 计算比例后的评估金额
                /// </summary>    
				
				[Display(Name="计算比例后的评估金额")]   
								[Column("AssessMoneyAfterCalute")]   
				[DataMember]  
			    public decimal? AssessMoneyAfterCalute  {get;set;}   
                                /// <summary>
                /// 无描述
                /// </summary>    
				
				[Display(Name="无描述")]   
								[Column("Deductible")]   
				[DataMember]  
			    public decimal Deductible  {get;set;}   
                                /// <summary>
                /// 是否撤销备案中
                /// </summary>    
				
				[Display(Name="是否撤销备案中")]   
								[Column("IsCancelRecord")]   
				[DataMember]  
			    public bool IsCancelRecord  {get;set;}   
                                /// <summary>
                /// 装修、附属物评估价值(1.15倍）
                /// </summary>    
				
				[Display(Name="装修、附属物评估价值(1.15倍）")]   
								[Column("ZXFSPGMoney")]   
				[DataMember]  
			    public decimal? ZXFSPGMoney  {get;set;}   
                                /// <summary>
                /// 实际安置房面积
                /// </summary>    
				
				[Display(Name="实际安置房面积")]   
								[Column("AcutualPlaHouseArea")]   
				[DataMember]  
			    public decimal? AcutualPlaHouseArea  {get;set;}   
                                /// <summary>
                /// 其中货币补偿部分面积
                /// </summary>    
				
				[Display(Name="其中货币补偿部分面积")]   
								[Column("ActualCurrSectionArea")]   
				[DataMember]  
			    public decimal? ActualCurrSectionArea  {get;set;}   
                                /// <summary>
                /// 其中产权调换部分面积
                /// </summary>    
				
				[Display(Name="其中产权调换部分面积")]   
								[Column("ActualPorpSwapSectionArea")]   
				[DataMember]  
			    public decimal? ActualPorpSwapSectionArea  {get;set;}   
                                /// <summary>
                /// 其中货币补偿部分评估价值 
                /// </summary>    
				
				[Display(Name="其中货币补偿部分评估价值 ")]   
								[Column("ActualCurrSectionEval")]   
				[DataMember]  
			    public decimal? ActualCurrSectionEval  {get;set;}   
                                /// <summary>
                /// 货币补偿补助
                /// </summary>    
				
				[Display(Name="货币补偿补助")]   
								[Column("CurrSubsidy")]   
				[DataMember]  
			    public decimal? CurrSubsidy  {get;set;}   
                 
		  }

		  /**
            /// <summary>
            /// 数据表实体类Map：ResidentialAgreement 
            /// </summary>
            public class ResidentialAgreementMap : EntityTypeConfiguration<ResidentialAgreement>
			{
                public ResidentialAgreementMap()
                {
					this.ToTable("ResidentialAgreement");
												this.HasKey(t => t.ID);
													 this.Property(t => t.ProjectID).HasColumnName("ProjectID").IsRequired();
													 this.Property(t => t.ProjectName).HasColumnName("ProjectName").IsRequired();
													 this.Property(t => t.InvestigateTableID).HasColumnName("InvestigateTableID");
													 this.Property(t => t.CollectDecisionNoHeadID).HasColumnName("CollectDecisionNoHeadID");
													 this.Property(t => t.CollectDecisionNoHeadName).HasColumnName("CollectDecisionNoHeadName");
													 this.Property(t => t.No1).HasColumnName("No1");
													 this.Property(t => t.No2).HasColumnName("No2");
													 this.Property(t => t.No3).HasColumnName("No3");
													 this.Property(t => t.PartyBID).HasColumnName("PartyBID");
													 this.Property(t => t.PartyBName).HasColumnName("PartyBName");
													 this.Property(t => t.FilesBasis).HasColumnName("FilesBasis");
													 this.Property(t => t.CollectDecisionNo).HasColumnName("CollectDecisionNo");
													 this.Property(t => t.ExpropriatedName).HasColumnName("ExpropriatedName");
													 this.Property(t => t.ExpropriatedCardNo).HasColumnName("ExpropriatedCardNo");
													 this.Property(t => t.ExpropriatedPhone).HasColumnName("ExpropriatedPhone");
													 this.Property(t => t.ExpropriatedAddr).HasColumnName("ExpropriatedAddr");
													 this.Property(t => t.ExpropriatedNatureID).HasColumnName("ExpropriatedNatureID");
													 this.Property(t => t.ExpropriatedNature).HasColumnName("ExpropriatedNature");
													 this.Property(t => t.Gfbz).HasColumnName("Gfbz");
													 this.Property(t => t.AreaID).HasColumnName("AreaID");
													 this.Property(t => t.Area).HasColumnName("Area");
													 this.Property(t => t.HouseAddress).HasColumnName("HouseAddress");
													 this.Property(t => t.LocationLevelID).HasColumnName("LocationLevelID");
													 this.Property(t => t.LocationLevel).HasColumnName("LocationLevel");
													 this.Property(t => t.StructureID).HasColumnName("StructureID");
													 this.Property(t => t.Structure).HasColumnName("Structure");
													 this.Property(t => t.BuildingArea).HasColumnName("BuildingArea");
													 this.Property(t => t.UsageID).HasColumnName("UsageID");
													 this.Property(t => t.Usage).HasColumnName("Usage");
													 this.Property(t => t.Population).HasColumnName("Population");
													 this.Property(t => t.IsSuite).HasColumnName("IsSuite");
													 this.Property(t => t.PropertyRightPrson).HasColumnName("PropertyRightPrson");
													 this.Property(t => t.Lessee).HasColumnName("Lessee");
													 this.Property(t => t.LesseeCardNo).HasColumnName("LesseeCardNo");
													 this.Property(t => t.UsePopulation).HasColumnName("UsePopulation");
													 this.Property(t => t.AssessMoney).HasColumnName("AssessMoney");
													 this.Property(t => t.AssessMoney_DX).HasColumnName("AssessMoney_DX");
													 this.Property(t => t.SummationShouldCompensateMoney).HasColumnName("SummationShouldCompensateMoney");
													 this.Property(t => t.SummationShouldCompensateMoney_DX).HasColumnName("SummationShouldCompensateMoney_DX");
													 this.Property(t => t.DidNotPayMoney).HasColumnName("DidNotPayMoney");
													 this.Property(t => t.PayStatus).HasColumnName("PayStatus");
													 this.Property(t => t.HouseReformMoney).HasColumnName("HouseReformMoney");
													 this.Property(t => t.SubtractCompensation).HasColumnName("SubtractCompensation");
													 this.Property(t => t.SubtractCompensation_DX).HasColumnName("SubtractCompensation_DX");
													 this.Property(t => t.SetSubsidy).HasColumnName("SetSubsidy");
													 this.Property(t => t.AheadRelocatedRewardMoney).HasColumnName("AheadRelocatedRewardMoney");
													 this.Property(t => t.TemporaryAllocationFee).HasColumnName("TemporaryAllocationFee");
													 this.Property(t => t.OtherPromise).HasColumnName("OtherPromise");
													 this.Property(t => t.Memo).HasColumnName("Memo");
													 this.Property(t => t.TotalCompensateMoney).HasColumnName("TotalCompensateMoney");
													 this.Property(t => t.TotalCompensateMoney_DX).HasColumnName("TotalCompensateMoney_DX");
													 this.Property(t => t.IsPrivateRent).HasColumnName("IsPrivateRent");
													 this.Property(t => t.SignTime).HasColumnName("SignTime");
													 this.Property(t => t.DemolitionPerson).HasColumnName("DemolitionPerson");
													 this.Property(t => t.DemolitionUnit).HasColumnName("DemolitionUnit");
													 this.Property(t => t.Operator).HasColumnName("Operator");
													 this.Property(t => t.OperatorPhone).HasColumnName("OperatorPhone");
													 this.Property(t => t.PropertyRightsUnit).HasColumnName("PropertyRightsUnit");
													 this.Property(t => t.TypeID).HasColumnName("TypeID");
													 this.Property(t => t.Type).HasColumnName("Type");
													 this.Property(t => t.IsInRecords).HasColumnName("IsInRecords");
													 this.Property(t => t.InRecordPersonID).HasColumnName("InRecordPersonID");
													 this.Property(t => t.InRecordPerson).HasColumnName("InRecordPerson");
													 this.Property(t => t.InRecordDate).HasColumnName("InRecordDate");
													 this.Property(t => t.IsHousingReform).HasColumnName("IsHousingReform");
													 this.Property(t => t.SwitchProductionWayID).HasColumnName("SwitchProductionWayID");
													 this.Property(t => t.SwitchProductionWay).HasColumnName("SwitchProductionWay");
													 this.Property(t => t.JHZFSYZKZSHBCZJ).HasColumnName("JHZFSYZKZSHBCZJ");
													 this.Property(t => t.XZHBBCZJBCZJ).HasColumnName("XZHBBCZJBCZJ");
													 this.Property(t => t.AZFKNBZZJBZZJ).HasColumnName("AZFKNBZZJBZZJ");
													 this.Property(t => t.ABCJEZSDCQDHMJ).HasColumnName("ABCJEZSDCQDHMJ");
													 this.Property(t => t.CQDHMJBZ).HasColumnName("CQDHMJBZ");
													 this.Property(t => t.CQDHZJMJ).HasColumnName("CQDHZJMJ");
													 this.Property(t => t.AZGCKZJGTBZMJ).HasColumnName("AZGCKZJGTBZMJ");
													 this.Property(t => t.SKZJMJ).HasColumnName("SKZJMJ");
													 this.Property(t => t.TotalAllocationArea).HasColumnName("TotalAllocationArea");
													 this.Property(t => t.OneTimeRelocationCompensation).HasColumnName("OneTimeRelocationCompensation");
													 this.Property(t => t.AKNBZBZJFBCZJ).HasColumnName("AKNBZBZJFBCZJ");
													 this.Property(t => t.TQBQJLBL).HasColumnName("TQBQJLBL");
													 this.Property(t => t.XFYCQLSAZF).HasColumnName("XFYCQLSAZF");
													 this.Property(t => t.XYZFYFZSBCZJRS).HasColumnName("XYZFYFZSBCZJRS");
													 this.Property(t => t.XYQDJRNXXZFYFZSBCZJ).HasColumnName("XYQDJRNXXZFYFZSBCZJ");
													 this.Property(t => t.XXZFBCJEYE).HasColumnName("XXZFBCJEYE");
													 this.Property(t => t.qtzfrq).HasColumnName("qtzfrq");
													 this.Property(t => t.qtqfrq).HasColumnName("qtqfrq");
													 this.Property(t => t.EnsureRelocateDate).HasColumnName("EnsureRelocateDate");
													 this.Property(t => t.GGGDDBQQX).HasColumnName("GGGDDBQQX");
													 this.Property(t => t.QYBQJLZBQQXJMHJRZF).HasColumnName("QYBQJLZBQQXJMHJRZF");
													 this.Property(t => t.XYSXQYBL).HasColumnName("XYSXQYBL");
													 this.Property(t => t.ZFKNBZZJ).HasColumnName("ZFKNBZZJ");
													 this.Property(t => t.DSRZFKNBCJE).HasColumnName("DSRZFKNBCJE");
													 this.Property(t => t.QYBQJLF).HasColumnName("QYBQJLF");
													 this.Property(t => t.AllocationHouseAreaID).HasColumnName("AllocationHouseAreaID");
													 this.Property(t => t.AllocationHouseArea).HasColumnName("AllocationHouseArea");
													 this.Property(t => t.AllocationHouseAddr).HasColumnName("AllocationHouseAddr");
													 this.Property(t => t.AllocationHouseTypeID).HasColumnName("AllocationHouseTypeID");
													 this.Property(t => t.AllocationHouseType).HasColumnName("AllocationHouseType");
													 this.Property(t => t.AllocationHouseBuildArea).HasColumnName("AllocationHouseBuildArea");
													 this.Property(t => t.AllocationHouseProvideDate).HasColumnName("AllocationHouseProvideDate");
													 this.Property(t => t.AllocationHouseAreaID2).HasColumnName("AllocationHouseAreaID2");
													 this.Property(t => t.AllocationHouseArea2).HasColumnName("AllocationHouseArea2");
													 this.Property(t => t.AllocationHouseAddr2).HasColumnName("AllocationHouseAddr2");
													 this.Property(t => t.AllocationHouseTypeID2).HasColumnName("AllocationHouseTypeID2");
													 this.Property(t => t.AllocationHouseType2).HasColumnName("AllocationHouseType2");
													 this.Property(t => t.AllocationHouseBuildArea2).HasColumnName("AllocationHouseBuildArea2");
													 this.Property(t => t.AllocationHouseProvideDate2).HasColumnName("AllocationHouseProvideDate2");
													 this.Property(t => t.QFLYHLSAZFMYJE).HasColumnName("QFLYHLSAZFMYJE");
													 this.Property(t => t.QFLSAZFXYSXJRXZZF).HasColumnName("QFLSAZFXYSXJRXZZF");
													 this.Property(t => t.QFLSAZXXZFAZFYYS).HasColumnName("QFLSAZXXZFAZFYYS");
													 this.Property(t => t.QFLSAZXXAZFY).HasColumnName("QFLSAZXXAZFY");
													 this.Property(t => t.IsReCheck).HasColumnName("IsReCheck");
													 this.Property(t => t.ReCheckPerson).HasColumnName("ReCheckPerson");
													 this.Property(t => t.ReCheckDate).HasColumnName("ReCheckDate");
													 this.Property(t => t.IsDeedTax).HasColumnName("IsDeedTax");
													 this.Property(t => t.DeedTaxPerson).HasColumnName("DeedTaxPerson");
													 this.Property(t => t.DeedTaxDeductionDate).HasColumnName("DeedTaxDeductionDate");
													 this.Property(t => t.OtherCompensation).HasColumnName("OtherCompensation");
													 this.Property(t => t.TaxPersonRemark).HasColumnName("TaxPersonRemark");
													 this.Property(t => t.CreateTime).HasColumnName("CreateTime");
													 this.Property(t => t.CreateUserId).HasColumnName("CreateUserId");
													 this.Property(t => t.CreateUserName).HasColumnName("CreateUserName");
													 this.Property(t => t.UpdateTime).HasColumnName("UpdateTime");
													 this.Property(t => t.UpdateUserId).HasColumnName("UpdateUserId");
													 this.Property(t => t.UpdateUserName).HasColumnName("UpdateUserName");
													 this.Property(t => t.Remark).HasColumnName("Remark");
													 this.Property(t => t.Files).HasColumnName("Files");
													 this.Property(t => t.LSAZBCFBZ).HasColumnName("LSAZBCFBZ");
													 this.Property(t => t.WJF_BlockID).HasColumnName("WJF_BlockID");
													 this.Property(t => t.WJF_Block).HasColumnName("WJF_Block");
													 this.Property(t => t.HouseAcquisitionDepartment).HasColumnName("HouseAcquisitionDepartment");
													 this.Property(t => t.CollectImplUnitName).HasColumnName("CollectImplUnitName");
													 this.Property(t => t.AvailableAmount).HasColumnName("AvailableAmount");
													 this.Property(t => t.ZSPhone).HasColumnName("ZSPhone");
													 this.Property(t => t.ZSAddress).HasColumnName("ZSAddress");
													 this.Property(t => t.ZSSSPhone).HasColumnName("ZSSSPhone");
													 this.Property(t => t.ZSSSAddress).HasColumnName("ZSSSAddress");
													 this.Property(t => t.HousingManagementID).HasColumnName("HousingManagementID");
													 this.Property(t => t.Village).HasColumnName("Village");
													 this.Property(t => t.Sfyzx).HasColumnName("Sfyzx");
													 this.Property(t => t.Cancellation).HasColumnName("Cancellation");
													 this.Property(t => t.ZDYBQRQ).HasColumnName("ZDYBQRQ");
													 this.Property(t => t.CardLb).HasColumnName("CardLb");
													 this.Property(t => t.LandUseArea).HasColumnName("LandUseArea");
													 this.Property(t => t.FWPGValue).HasColumnName("FWPGValue");
													 this.Property(t => t.ZXFSPGValue).HasColumnName("ZXFSPGValue");
													 this.Property(t => t.BCValueBL).HasColumnName("BCValueBL");
													 this.Property(t => t.AZFSX).HasColumnName("AZFSX");
													 this.Property(t => t.GiveLSAZFMonth).HasColumnName("GiveLSAZFMonth");
													 this.Property(t => t.GiveLSANZFValue).HasColumnName("GiveLSANZFValue");
													 this.Property(t => t.BCZJYEGiveTime).HasColumnName("BCZJYEGiveTime");
													 this.Property(t => t.AllocationHouseEvaluationApprovePrice).HasColumnName("AllocationHouseEvaluationApprovePrice");
													 this.Property(t => t.PropertyRightCardNo).HasColumnName("PropertyRightCardNo");
													 this.Property(t => t.PropertyArea).HasColumnName("PropertyArea");
													 this.Property(t => t.LandCardNo).HasColumnName("LandCardNo");
													 this.Property(t => t.LandCardArea).HasColumnName("LandCardArea");
													 this.Property(t => t.LandFinalArea).HasColumnName("LandFinalArea");
													 this.Property(t => t.AmoutPGMoney).HasColumnName("AmoutPGMoney");
													 this.Property(t => t.HSMJJS).HasColumnName("HSMJJS");
													 this.Property(t => t.AddMJJS).HasColumnName("AddMJJS");
													 this.Property(t => t.SKMJJS).HasColumnName("SKMJJS");
													 this.Property(t => t.TSMJJS).HasColumnName("TSMJJS");
													 this.Property(t => t.TotalJS).HasColumnName("TotalJS");
													 this.Property(t => t.Gfbz_Out).HasColumnName("Gfbz_Out");
													 this.Property(t => t.IsCity).HasColumnName("IsCity");
													 this.Property(t => t.IsNext).HasColumnName("IsNext");
													 this.Property(t => t.BuyArea).HasColumnName("BuyArea");
													 this.Property(t => t.GGGDQYQX).HasColumnName("GGGDQYQX");
													 this.Property(t => t.LesseeLB).HasColumnName("LesseeLB");
													 this.Property(t => t.NatureOfProperty).HasColumnName("NatureOfProperty");
													 this.Property(t => t.NatureOfPropertyID).HasColumnName("NatureOfPropertyID");
													 this.Property(t => t.zfknzj).HasColumnName("zfknzj");
													 this.Property(t => t.zfknName).HasColumnName("zfknName");
													 this.Property(t => t.QYBQJLCal).HasColumnName("QYBQJLCal");
													 this.Property(t => t.BZMJJS).HasColumnName("BZMJJS");
													 this.Property(t => t.AZFDJ).HasColumnName("AZFDJ");
													 this.Property(t => t.IsFitGF).HasColumnName("IsFitGF");
													 this.Property(t => t.LandWay).HasColumnName("LandWay");
													 this.Property(t => t.LandUse).HasColumnName("LandUse");
													 this.Property(t => t.HouseUse).HasColumnName("HouseUse");
													 this.Property(t => t.AtticArea).HasColumnName("AtticArea");
													 this.Property(t => t.AttachedArea).HasColumnName("AttachedArea");
													 this.Property(t => t.RedLine_In).HasColumnName("RedLine_In");
													 this.Property(t => t.RedLine_Out).HasColumnName("RedLine_Out");
													 this.Property(t => t.FSPGValue).HasColumnName("FSPGValue");
													 this.Property(t => t.AtticAssessedValue).HasColumnName("AtticAssessedValue");
													 this.Property(t => t.ExceedLandMoney).HasColumnName("ExceedLandMoney");
													 this.Property(t => t.HouseTicketMoney).HasColumnName("HouseTicketMoney");
													 this.Property(t => t.IfHouseTick).HasColumnName("IfHouseTick").IsRequired();
													 this.Property(t => t.SKZJMJ_Max).HasColumnName("SKZJMJ_Max");
													 this.Property(t => t.TotalAllocationArea_Max).HasColumnName("TotalAllocationArea_Max");
													 this.Property(t => t.ExtraArea).HasColumnName("ExtraArea");
													 this.Property(t => t.ExtraType).HasColumnName("ExtraType");
													 this.Property(t => t.GTBZMJJS).HasColumnName("GTBZMJJS");
													 this.Property(t => t.AllocationHouseBuildArea_Max).HasColumnName("AllocationHouseBuildArea_Max");
													 this.Property(t => t.HouseTicketGive).HasColumnName("HouseTicketGive");
													 this.Property(t => t.XYLODOPText).HasColumnName("XYLODOPText");
													 this.Property(t => t.XYLODOP).HasColumnName("XYLODOP").IsRequired();
													 this.Property(t => t.HSDLODOPText).HasColumnName("HSDLODOPText");
													 this.Property(t => t.HSDLODOP).HasColumnName("HSDLODOP").IsRequired();
													 this.Property(t => t.ExceedLandArea).HasColumnName("ExceedLandArea");
													 this.Property(t => t.MoveRewardBig).HasColumnName("MoveRewardBig");
													 this.Property(t => t.MoveRewardSmall).HasColumnName("MoveRewardSmall");
													 this.Property(t => t.ClearingSheetNum).HasColumnName("ClearingSheetNum");
													 this.Property(t => t.NoAddClearingSheetNum).HasColumnName("NoAddClearingSheetNum");
													 this.Property(t => t.HaveAddClearingSheetNum).HasColumnName("HaveAddClearingSheetNum");
													 this.Property(t => t.HaveRecordClearingSheetNum).HasColumnName("HaveRecordClearingSheetNum");
													 this.Property(t => t.IfCQDH).HasColumnName("IfCQDH");
													 this.Property(t => t.QFLSBZ_Month).HasColumnName("QFLSBZ_Month");
													 this.Property(t => t.QFLSBZ).HasColumnName("QFLSBZ");
													 this.Property(t => t.PropertyUser1).HasColumnName("PropertyUser1");
													 this.Property(t => t.Lessee1).HasColumnName("Lessee1");
													 this.Property(t => t.AssessMoneyIfCalute).HasColumnName("AssessMoneyIfCalute").IsRequired();
													 this.Property(t => t.AssessMoneyAfterCalute).HasColumnName("AssessMoneyAfterCalute");
													 this.Property(t => t.Deductible).HasColumnName("Deductible").IsRequired();
													 this.Property(t => t.IsCancelRecord).HasColumnName("IsCancelRecord").IsRequired();
													 this.Property(t => t.ZXFSPGMoney).HasColumnName("ZXFSPGMoney");
													 this.Property(t => t.AcutualPlaHouseArea).HasColumnName("AcutualPlaHouseArea");
													 this.Property(t => t.ActualCurrSectionArea).HasColumnName("ActualCurrSectionArea");
													 this.Property(t => t.ActualPorpSwapSectionArea).HasColumnName("ActualPorpSwapSectionArea");
													 this.Property(t => t.ActualCurrSectionEval).HasColumnName("ActualCurrSectionEval");
													 this.Property(t => t.CurrSubsidy).HasColumnName("CurrSubsidy");
										}
			}**/

	}

	//----------ResidentialAgreement结束----------

	